@use "../../style/mixins/buttons";

radio-list {
  padding: 0;
  margin: 0;
}

.radio-list-item {
  list-style: none;
  padding: var(--size-base-1-5);
  margin: var(--size-base-1-5) 0;
  display: grid;
  grid-template-areas: "title edit" "tags edit";
  grid-template-columns: 1fr auto;
  border-radius: var(--size-base);
  background-color: var(--background-lighter);

  .title {
    font-size: var(--size-base-1-5);
    margin-left: var(--size-base-0-25);
    grid-area: title;
  }

  .tags {
    display: flex;
    grid-area: tags;

    .tag {
      color: var(--tag-text);
      background-color: var(--tag-background);
      padding: var(--size-base-0-25) var(--size-base-0-75);
      margin: var(--size-base-0-25);
      border-radius: var(--size-base-1-5);

      &:before {
        content: '#';
      }
    }
  }

  .edit {
    @include buttons.round-button(var(--radio-list-button-color), var(--radio-list-button-background), var(--radio-list-button-hover), var(--size-base-2), var(--size-base-1-5));
    grid-area: edit;

    i {
      margin-left: 4px;
      margin-bottom: 6px;
    }
  }
}
